#include <stdio.h>
#include <math.h>
#include "cpgplot.h"

double function(double x){
  return pow(x,2);
}

int main(void){
  double x;

  cpgopen("/xserv");
  cpgpap(5.0, 1.0);
  cpgenv(0, 5, 0, 5, 0, 1);
  cpglab("x","y","y=x*x");

  cpgsci(2);
  cpgmove(0, function(0));
  for (x=0.1; x<=5; x+=0.1) {
    cpgdraw(x, function(x));
  }

  cpgclos();
  return 0;
}
